#!/usr/bin/env python
from OSC import OSCServer


def tuio_handler(addr, tags, data, source):
    print 'Received message:'
    print 'addr:', addr
    print 'tags:', tags
    print 'data:', data
    print 'source:', source


if __name__ == '__main__':
    tuio_address = 'localhost', 3333
    server = OSCServer(tuio_address)
    server.addDefaultHandlers()
    server.addMsgHandler('/tuio/2Dobj', tuio_handler)
    server.addMsgHandler('/tuio/2Dcur', tuio_handler)
    server.addMsgHandler('/tuio/2Dblb', tuio_handler)
    server.serve_forever()
